/* Copyright 2006, 2007 Columbia University */
/* This file is part of THINC.

    THINC is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    THINC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with THINC.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * abstract class for client Event such as key press, mouse clicked, etc.
 * 
 * @author Young Jin Yoon
 * @see ThincCMsg
 */
public abstract class ThincCMsgEvent extends ThincCMsg {

	public ThincCMsgEvent(ThincMsgHandler h, ThincClientCanvas c)
	{
		super(h,c);
	}
}
